---
lang: en
title: 'API docs: authorization.enforcer.enforce'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.enforcer.enforce.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [Enforcer](./authorization.enforcer.md) &gt; [enforce](./authorization.enforcer.enforce.md)

## Enforcer.enforce() method

Decide if the request can be granted access

**Signature:**

```typescript
enforce(request: AuthorizationRequest): Promise<AuthorizationDecision>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

request


</td><td>

[AuthorizationRequest](./authorization.authorizationrequest.md)


</td><td>


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;[AuthorizationDecision](./authorization.authorizationdecision.md)<!-- -->&gt;


